Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If someone changes Description of an issue, this action isn't shown on Activity page of the project. I think, this should be, as

description change is a very important thing.

Related issues:

Related to Redmine - Defect #23660: Email notification on description change ... New

History

#1 - 2013-02-28 23:26 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from Description change isn't shown on Activity page to Show issue description change on the Activity view

- Category set to Issues

Currently, issue related journals appear on the activity view only when:

a new issue has been created;

the status of an issue has been changed / the given issue has been closed (because this only occurs due to a change of its status, but is

rendered with a different icon to distinguish an issue closure from an ordinary status change);

a note to the issue has been added (obviously this doesn't include "notes", auto-generated by Redmine, which only contains issue property

change history).

So, since the issue description is an issue property not related to the issue status, changing it, does not trigger a new journal. That is at the moment

imho the expected behavior. In that perspective I think this is more a feature request than that it is a defect.

#2 - 2013-03-01 06:10 - Anton Nepomnyaschih

If we show note's adding on activity page, then we must show description change on the page too. Because description change from my perspective

even more important than note's adding.

#3 - 2014-04-22 23:26 - Christian Simon

- File 0001-Show-description-changes-in-activity.patch added

I've created a patch against trunk. All tests are running fine.

#4 - 2016-07-08 12:54 - Anonymous

When the description of an issue is changed an email notification is sent out to watchers and a note is added. Only the project's activity page does not

record the change. Isn't that a defect?

#5 - 2016-08-25 09:52 - Toshi MARUYAMA

- Related to Defect #23660: Email notification on description change without activity view entry added

#6 - 2025-02-05 12:46 - Florian Walchshofer

+1

Files

0001-Show-description-changes-in-activity.patch 1.21 KB 2014-04-22 Christian Simon
